Skip to main content
POST
distribution.subscription.post

Authorizations

apikey
string
query
required

Query Parameters

user_id
string
required

The Musixmatch user ID obtained via token introspection

Body

application/json
plan_id
string
required

The distributor's plan identifier. Musixmatch maps this to the corresponding Musixmatch plan during onboarding.

partner_user_id
string
required

The partner's internal user identifier

Minimum string length: 1
artists
object[]
required

List of artist identifiers to claim for the user. At least one identifier per item is required.

Minimum array length: 1

Response

Subscription activated.

message
object